<f:comment>
    Bookmark with donation field
    - Image
    - Donation
    - Bodytext
    - Link
</f:comment>
<div class="c-flyout   js-flyout" xmlns:f="http://xsd.helhum.io/ns/typo3/cms-fluid/master/ViewHelpers">
    <div class="c-flyout__body   js-toggle-visible is-in-viewport">
        <f:form pageUid="{data.link}" action="form" objectName="donation" extensionName="frsdrkdonations"
                pluginName="donation"
                controller="Donation">
            <div class="c-flyout__content">
                <div class="o-media o-media--stacked">
                    <figure class="o-media__img">
                        <f:render partial="Copyright" arguments="{media: files.0}"/>
                        <f:if condition="{files.0.uid}">
                            <f:then>
                                <f:image treatIdAsReference="true"
                                         src="{files.0.uid}"
                                         alt="{files.0.originalResource.alternative}"
                                         title="{files.0.originalResource.title}"/>
                            </f:then>
                            <f:else>
                                <!-- No image given -->
                            </f:else>
                        </f:if>
                    </figure>
                    <div class="o-media__body">
                        <h4>{data.title}</h4>
                        <f:format.raw>{data.bodytext}</f:format.raw>
                    </div>
                </div>

                <div class="o-simple-form">
                    <fieldset class="o-simple-form__section">
                        <div class="o-simple-form__item h-relative">
                            <label for="donation__amount_flyout" class="o-simple-form__label">
                                <f:translate
                                        key="LLL:EXT:frs_drk_calltoaction/Resources/Private/Language/locallang.xlf:partial.calltoaction.2.amount"
                                />
                            </label>
                            <f:form.textfield id="donation__amount_flyout" class="o-simple-form__field c-flyout__input"
                                              property="amount"
                                              type="tel" maxlength="8" required="" value="{data.amount}"
                                              pattern="^(\d{1,3}(\.\d{3})*|(\d+))(\,\d{2})?$"
                                              placeholder="{f:translate(id: 'partial.calltoaction.2.amount', extensionName:'frs_drk_calltoaction')}"/>
                            <span class="h-text__currency">€</span>
                        </div>
                    </fieldset>
                </div>
            </div>
            <div class="c-flyout__foot c-flyout__foot--borderless">
                <f:if condition="{data.link}">
                    <f:form.button class="c-flyout__action">
                        <svg role="img"
                             aria-label="{data.linktext}"
                             class="c-flyout__action-icon sprite sprite-small-icon">
                            <use
                                    xlink:href="typo3conf/ext/drk_template2016/Resources/Public/Images/svg/spritemap.svg#sprite-arrow-right"></use>
                            <title class="h-sr-only">{data.linktext}</title>
                        </svg>
                        <span class="c-flyout__action-text">{data.linktext}</span>

                    </f:form.button>
                </f:if>
            </div>
        </f:form>
    </div>
</div>
